org.apache.solr.common.cloud

## Interface SolrClassLoader

    public interface SolrClassLoader

A generic interface to load plugin classes

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> Class<? extends T>` `findClass(String cname, Class<T> expectedType)`
`<T> T` `newInstance(String cname, Class<T> expectedType, String... subpackages)`
`<T> T` `newInstance(String cName, Class<T> expectedType, String[] subPackages, Class[] params, Object[] args)`

### Method Detail

#### newInstance

    <T> T newInstance(String cname,
                      Class<T> expectedType,
                      String... subpackages)

#### newInstance

    <T> T newInstance(String cName,
                      Class<T> expectedType,
                      String[] subPackages,
                      Class[] params,
                      Object[] args)

#### findClass

    <T> Class<? extends T> findClass(String cname,
                                     Class<T> expectedType)